Debian Bug report logs - #367902
RM: xmlrpc4r -- RoM; ruby 1.6 removal

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Fumitoshi UKAI <ukai@debian.or.jp>

Date: Thu, 18 May 2006 17:03:19 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#367902; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Fumitoshi UKAI <ukai@debian.or.jp>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fumitoshi UKAI <ukai@debian.or.jp>
To: submit@bugs.debian.org
Subject: remove xmlrpc4r from testing and unstable
Date: Fri, 19 May 2006 01:51:50 +0900
Package: ftp.debian.org

We're planning to remove ruby 1.6 from etch release. 
See http://wiki.debian.org/RemoveRuby16 and recent discussion on 
debian-ruby lists.

xmlrpc4r builds only ruby 1.6 module libxmlrpc-ruby1.6
and there are no depending package on this now. 
So, please remove xmlrpc4r package from testing and unstable.

Thanks,
Fumitoshi UKAI



Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Fumitoshi UKAI <ukai@debian.or.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 367902-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 367902-close@bugs.debian.org
Cc: xmlrpc4r@packages.debian.org, xmlrpc4r@packages.qa.debian.org
Subject: Bug#367902: fixed
Date: Thu, 06 Jul 2006 23:46:28 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libxmlrpc-ruby1.6 |   1.7.16-1 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  xmlrpc4r |   1.7.16-1 | source

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367902@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 10:34:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:58:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.